Hi,

I'm trying to cross-compile glibc for PowerPC.
I have ELDK 3, glibc-2.3.2 and Suse 9.
The ELDK is working, I compiled Linux kernel with this ELDK.


Coniguration is:
.../configure --with-headers=/opt/ELDK3/ppc_8xx/usr/src/linux/include
--without-fp --enable-add-ons --prefix=/temp/rootfs ppc-linux
--build=i686-linux

I have following error:

ppc-linux-gcc ../sysdeps/unix/geteuid.S -c -I../include -I.
-I/opt/ELDK3/ppc_8xx/usr/src/glibc2.3/glibc-2.3.2/compile/posix -I..
-I../libio -I/opt/ELDK3/ppc_8xx/usr/src/glibc2.3/glibc-2.3.2/compile
-I../sysdeps/powerpc/powerpc32/elf -I../sysdeps/powerpc/elf
-I../linuxthreads/sysdeps/unix/sysv/linux/powerpc/powerpc32
-I../linuxthreads/sysdeps/unix/sysv/linux/powerpc
-I../linuxthreads/sysdeps/unix/sysv/linux
-I../linuxthreads/sysdeps/pthread -I../sysdeps/pthread
-I../linuxthreads/sysdeps/unix/sysv -I../linuxthreads/sysdeps/unix
-I../linuxthreads/sysdeps/powerpc/powerpc32
-I../linuxthreads/sysdeps/powerpc
-I../sysdeps/unix/sysv/linux/powerpc/powerpc32
-I../sysdeps/unix/sysv/linux/powerpc -I../sysdeps/unix/sysv/linux
-I../sysdeps/gnu -I../sysdeps/unix/common -I../sysdeps/unix/mman
-I../sysdeps/unix/inet -I../sysdeps/unix/sysv
-I../sysdeps/unix/powerpc -I../sysdeps/unix -I../sysdeps/posix
-I../sysdeps/powerpc/powerpc32 -I../sysdeps/wordsize-32
-I../sysdeps/powerpc/soft-fp -I../sysdeps/powerpc/nofpu
-I../sysdeps/powerpc -I../sysdeps/ieee754/flt-32
-I../sysdeps/ieee754/dbl-64 -I../sysdeps/ieee754
-I../sysdeps/generic/elf -I../sysdeps/generic -nostdinc -isystem
/opt/ELDK3/usr/bin/../lib/gcc-lib/ppc-linux/3.2.2/include -isystem
/opt/ELDK3/ppc_8xx/usr/src/linux/include -D_LIBC_REENTRANT -include
.../include/libc-symbols.h -DASSEMBLER -Wa,-mppc -o
/opt/ELDK3/ppc_8xx/usr/src/glibc2.3/glibc-2.3.2/compile/posix/geteuid.o
.../sysdeps/unix/geteuid.S: Assembler messages:
.../sysdeps/unix/geteuid.S:25: Error: Unrecognized opcode: `move(1,'
make[2]:***[/opt/ELDK3/ppc_8xx/usr/src/glibc2.3/glibc2.3.2/compile/posix/geteuid.o]
Error 1
make[2]: Leaving directory`/opt/ELDK3/ppc_8xx/usr/src/glibc2.3/glibc2.3.2/posix'
make[1]: *** [posix/subdir_lib] Error 2

It's assembler error ?
Does anyone know the way around for this error ?

Thanks,

Igor